Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class BookDefinition

    java.lang.Object
      |
      +--com.bea.netuix.application.definition.BookDefinition

All Implemented Interfaces:
  NavigableDefinition, PlaceableDefinition, Serializable

public class BookDefinition
extends Object
implements NavigableDefinition, PlaceableDefinition, Serializable

See Also:
  Serialized Form

Field Summary
`protected BookInstance` | `bookInstance`

Constructor Summary
`protected` | `BookDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String definitionLabel, boolean hidden, boolean _public, String webAppName, BookInstance bookInstance)`
`` | `BookDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String definitionLabel, boolean hidden, boolean _public, String webAppName, MenuDefinitionId menuDefinitionId, ThemeDefinitionId themeDefinitionId, short menuOrientation)`

Method Summary
`BookDefinitionId` | `getBookDefinitionId()`
`BookGroupId` | `getBookGroupId()`
`String` | `getDefinitionLabel()`
`String` | `getDescription()`
`LocalizationIntersectionId` | `getLocalizationIntersectionId()`
`LocalizationResource` | `getLocalizationResource()`
`MarkupDefinitionId` | `getMarkupDefinitionId()`
`MenuDefinitionId` | `getMenuDefinitionId()`
`short` | `getMenuOrientation()`
`NavigableDefinitionId` | `getNavigableDefinitionId()`
`PlaceableDefinitionId` | `getPlaceableDefinitionId()`
`PlacementId` | `getPlacementId()`
`BookInstanceId` | `getPrimaryInstanceId()`
`ThemeDefinitionId` | `getThemeDefinitionId()`
`String` | `getTitle()`
`String` | `getWebAppName()`
`boolean` | `isHidden()`
`boolean` | `isPublic()`
`void` | `setDefinitionLabel(String definitionLabel)`
`void` | `setHidden(boolean hidden)`
`void` | `setLocalizationResource(LocalizationResource localizationResource)`
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)`
`void` | `setMenuDefinitionId(MenuDefinitionId menuDefinitionId)`
`void` | `setMenuOrientation(short menuOrientation)`
`void` | `setPublic(boolean _public)`
`void` | `setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)`
`void` | `setWebAppName(String webAppName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bookInstance

    protected BookInstance bookInstance

Constructor Detail

### BookDefinition

    public BookDefinition(LocalizationResource localizationResource,
                          MarkupDefinitionId markupDefinitionId,
                          String definitionLabel,
                          boolean hidden,
                          boolean _public,
                          String webAppName,
                          MenuDefinitionId menuDefinitionId,
                          ThemeDefinitionId themeDefinitionId,
                          short menuOrientation)

### BookDefinition

    protected BookDefinition(LocalizationResource localizationResource,
                             MarkupDefinitionId markupDefinitionId,
                             String definitionLabel,
                             boolean hidden,
                             boolean _public,
                             String webAppName,
                             BookInstance bookInstance)

Method Detail

### getNavigableDefinitionId

    public NavigableDefinitionId getNavigableDefinitionId()

  Specified by:
    `getNavigableDefinitionId` in interface `NavigableDefinition`

### getPlaceableDefinitionId

    public PlaceableDefinitionId getPlaceableDefinitionId()

  Specified by:
    `getPlaceableDefinitionId` in interface `PlaceableDefinition`

### getBookDefinitionId

    public BookDefinitionId getBookDefinitionId()

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

### getBookGroupId

    public BookGroupId getBookGroupId()

  Specified by:
    `getBookGroupId` in interface `NavigableDefinition`

### getPlacementId

    public PlacementId getPlacementId()

  Specified by:
    `getPlacementId` in interface `PlaceableDefinition`

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Specified by:
    `getLocalizationResource` in interface `NavigableDefinition`

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

### getDefinitionLabel

    public String getDefinitionLabel()

  Specified by:
    `getDefinitionLabel` in interface `NavigableDefinition`

### setDefinitionLabel

    public void setDefinitionLabel(String definitionLabel)

### isHidden

    public boolean isHidden()

  Specified by:
    `isHidden` in interface `NavigableDefinition`

### setHidden

    public void setHidden(boolean hidden)

### isPublic

    public boolean isPublic()

### setPublic

    public void setPublic(boolean _public)

### getWebAppName

    public String getWebAppName()

  Specified by:
    `getWebAppName` in interface `NavigableDefinition`

### setWebAppName

    public void setWebAppName(String webAppName)

### getMenuOrientation

    public short getMenuOrientation()

### setMenuOrientation

    public void setMenuOrientation(short menuOrientation)

### getMenuDefinitionId

    public MenuDefinitionId getMenuDefinitionId()

### setMenuDefinitionId

    public void setMenuDefinitionId(MenuDefinitionId menuDefinitionId)

### getThemeDefinitionId

    public ThemeDefinitionId getThemeDefinitionId()

### setThemeDefinitionId

    public void setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)

### getPrimaryInstanceId

    public BookInstanceId getPrimaryInstanceId()

### getTitle

    public String getTitle()

  Specified by:
    `getTitle` in interface `NavigableDefinition`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `NavigableDefinition`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved